MEMORY
{
    /* on-chip local shared RAM */
    LS_RAM : origin = 0x008000, length = 0x003000

    /* on-chip global shared RAM */
    GS_RAM  : origin = 0x00C000, length = 0x010000

    /* Flash boot address */
    BEGIN   : origin = 0x080000, length = 0x000002

    FLASH : origin = 0x080002, length = 0x003FFE
    RESET : origin = 0x3FFFC0, length = 0x000002
}

SECTIONS
{
    GROUP
    {
        .cinit
        .binit
        .pinit
        .text
        .econst
        .switch
        .args
        .TI.ramfunc RUN = GS_RAM, TABLE(BINIT)
    } > FLASH

    codestart > BEGIN
    .reset > RESET, TYPE = NOLOAD

    .stack > LS_RAM

    GROUP
    {
        .ebss
        .esysmem
        .cio
    } > GS_RAM
}
